Submitted By:            Armin K. <krejzi at email dot com>
Date:                    2012-09-08
Initial Package Version: 0.1.2
Upstream Status:         Unknown
Origin:                  Gentoo
Description:             Fixes building with Gobject Introspection 1.33 and later.

diff --git a/farstream/fs-session.c b/farstream/fs-session.c
index 80794d1..abb1bc3 100644
--- a/farstream/fs-session.c
+++ b/farstream/fs-session.c
@@ -270,9 +270,6 @@ fs_session_class_init (FsSessionClass *klass)
   /**
    * FsSession:codec-preferences:
    *
-   * Type: GLib.List(FsCodec)
-   * Transfer: full
-   *
    * This is the current preferences list for the local codecs. It is
    * set by the user to specify the codec options and priorities. The user may
    * change its value with fs_session_set_codec_preferences() at any time
@@ -283,6 +280,9 @@ fs_session_class_init (FsSessionClass *klass)
    * or %FS_CODEC_ID_ANY. If the encoding name is "reserve-pt", then the
    * payload type of the codec will be "reserved" and not be used by any
    * dynamically assigned payload type.
+   *
+   * Type: GLib.List(FsCodec)
+   * Transfer: full
    */
   g_object_class_install_property (gobject_class,
       PROP_CODEC_PREFERENCES,
@@ -296,9 +296,6 @@ fs_session_class_init (FsSessionClass *klass)
   /**
    * FsSession:codecs:
    *
-   * Type: GLib.List(FsCodec)
-   * Transfer: full
-   *
    * This is the list of codecs used for this session. It will include the
    * codecs and payload type used to receive media on this session. It will
    * also include any configuration parameter that must be transmitted reliably
@@ -317,6 +314,8 @@ fs_session_class_init (FsSessionClass *klass)
    * It is a #GList of #FsCodec. User must free this codec list using
    * fs_codec_list_destroy() when done.
    *
+   * Type: GLib.List(FsCodec)
+   * Transfer: full
    */
   g_object_class_install_property (gobject_class,
       PROP_CODECS,
@@ -329,9 +328,6 @@ fs_session_class_init (FsSessionClass *klass)
   /**
    * FsSession:codecs-without-config:
    *
-   * Type: GLib.List(FsCodec)
-   * Transfer: full
-   *
    * This is the same list of codecs as #FsSession:codecs without
    * the configuration information that describes the data sent. It is suitable
    * for configurations where a list of codecs is shared by many senders.
@@ -349,6 +345,8 @@ fs_session_class_init (FsSessionClass *klass)
    * It is a #GList of #FsCodec. User must free this codec list using
    * fs_codec_list_destroy() when done.
    *
+   * Type: GLib.List(FsCodec)
+   * Transfer: full
    */
   g_object_class_install_property (gobject_class,
       PROP_CODECS_WITHOUT_CONFIG,
diff --git a/farstream/fs-stream.c b/farstream/fs-stream.c
index b9e1320..110641d 100644
--- a/farstream/fs-stream.c
+++ b/farstream/fs-stream.c
@@ -176,13 +176,12 @@ fs_stream_class_init (FsStreamClass *klass)
   /**
    * FsStream:remote-codecs:
    *
-   * Type: GLib.List(FsCodec)
-   * Transfer: full
-   *
    * This is the list of remote codecs for this stream. They must be set by the
    * user as soon as they are known using fs_stream_set_remote_codecs()
    * (generally through external signaling). It is a #GList of #FsCodec.
    *
+   * Type: GLib.List(FsCodec)
+   * Transfer: full
    */
   g_object_class_install_property (gobject_class,
       PROP_REMOTE_CODECS,
@@ -195,15 +194,14 @@ fs_stream_class_init (FsStreamClass *klass)
   /**
    * FsStream:negotiated-codecs:
    *
-   * Type: GLib.List(FsCodec)
-   * Transfer: full
-   *
    * This is the list of negotiatied codecs, it is the same list as the list
    * of #FsCodec from the parent #FsSession, except that the codec config data
    * has been replaced with the data from the remote codecs for this stream.
    * This is the list of #FsCodec used to receive data from this stream.
    * It is a #GList of #FsCodec.
    *
+   * Type: GLib.List(FsCodec)
+   * Transfer: full
    */
   g_object_class_install_property (gobject_class,
       PROP_NEGOTIATED_CODECS,
@@ -216,9 +214,6 @@ fs_stream_class_init (FsStreamClass *klass)
   /**
    * FsStream:current-recv-codecs:
    *
-   * Type: GLib.List(FsCodec)
-   * Transfer: full
-   *
    * This is the list of codecs that have been received by this stream.
    * The user must free the list if fs_codec_list_destroy().
    * The "farstream-recv-codecs-changed" message is send on the #GstBus
@@ -228,6 +223,8 @@ fs_stream_class_init (FsStreamClass *klass)
    * also be emitted if the pad already exists, but the source material that
    * will come to it is different.
    *
+   * Type: GLib.List(FsCodec)
+   * Transfer: full
    */
   g_object_class_install_property (gobject_class,
       PROP_CURRENT_RECV_CODECS,
-- 
1.7.8.6


